High-Level Data Reduction Library: catalogue/tests/hdrl_cat_casu_addmul-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Macros | Functions
hdrl_cat_casu_addmul-test.c File Reference
`#include <cpl_test.h>`
`#include "../hdrl_cat_casu.h"`
Include dependency graph for hdrl_cat_casu_addmul-test.c:

## Macros
#define | COMP_TOL_REL 1e-4
#define | COMP_TOL_ABS 1e-2
#define | IMG_XSIZE 110 * 2
#define | IMG_YSIZE 150 * 2
#define | CELL_SIZE 32
#define | APER_FLUX_NUM "Aper_flux_3"
#define | NUM_FACTORS 5
#define | NUM_BIASES 5
#define | BIASES {2., 100., 5000., 5.e4, 5.e5}
#define | FACTORS {2., 10., 100., 1.e4, 1.e6}

## Functions
cpl_error_code | hdrl_casumul_compute (double factor)
| Check effect of multiplication on a given "Aper_flux", "Isophotal_flux", "FWHM", "Kron_radius", "Classification", "X_coordinate", "X_coordinate_err", "Y_coordinate" and "Y_coordinate_err".
cpl_error_code | hdrl_casuadd_compute (double bias)
| Check effect of addition on a given "Aper_flux", "Isophotal_flux", "FWHM", "Kron_radius", "Classification", "X_coordinate", "X_coordinate_err", "Y_coordinate" and "Y_coordinate_err".
int | main (void)
| Unit tests of addition or multiplication of some scalar value.

## Macro Definition Documentation

## ◆ APER_FLUX_NUM

#define APER_FLUX_NUM "Aper_flux_3"

## ◆ BIASES

#define BIASES {2., 100., 5000., 5.e4, 5.e5}

## ◆ CELL_SIZE

#define CELL_SIZE 32

## ◆ COMP_TOL_ABS

#define COMP_TOL_ABS 1e-2

## ◆ COMP_TOL_REL

#define COMP_TOL_REL 1e-4

## ◆ FACTORS

#define FACTORS {2., 10., 100., 1.e4, 1.e6}

## ◆ IMG_XSIZE

#define IMG_XSIZE 110 * 2

## ◆ IMG_YSIZE

#define IMG_YSIZE 150 * 2

## ◆ NUM_BIASES

#define NUM_BIASES 5

## ◆ NUM_FACTORS

#define NUM_FACTORS 5

## Function Documentation

## ◆ hdrl_casuadd_compute()

cpl_error_code hdrl_casuadd_compute | ( | double | bias | ) |

Check effect of addition on a given "Aper_flux", "Isophotal_flux", "FWHM", "Kron_radius", "Classification", "X_coordinate", "X_coordinate_err", "Y_coordinate" and "Y_coordinate_err".

Note
  Magic numerical constants inherited from 'hdrl_casu_catalogue-test.c'

Returns
  cpl_error_code

## ◆ hdrl_casumul_compute()

cpl_error_code hdrl_casumul_compute | ( | double | factor | ) |

Check effect of multiplication on a given "Aper_flux", "Isophotal_flux", "FWHM", "Kron_radius", "Classification", "X_coordinate", "X_coordinate_err", "Y_coordinate" and "Y_coordinate_err".

Note
  Magic numerical constants inherited from 'hdrl_casu_catalogue-test.c'

Returns
  cpl_error_code

## ◆ main()

int main | ( | void |  | ) |

Unit tests of addition or multiplication of some scalar value.